---
title: Questions
slug: bigboxapi/homedepot-product-data-api/parameters/questions
docTags: 
createdAt: 2024-07-22T08:01:06.003Z
---

# Questions Parameters

<font color="#52c41a">`GET`</font>  `/request`

The Questions Parameters are applicable when making a request with  `type=questions`  to retrieve customer Questions for a single product on Home Depot - the product is specified using either the  `item_id`  or  `url`  parameter (where the  `url`  parameter contains a link to a Home Depot product page). The parameters should be appended as querystring parameters to the Home Depot Product Data API `GET` HTTP request.

Questions are retrieved from the [customer questions page](https://www.homedepot.com/p/317061059) for a single product on Home Depot.

![](https://apiimages.imgix.net/bigboxapi/images/png/docs/questions.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Customer Questions Page")

For example, to request questions sorted by most helpful ( `sort_by=most_helpful` ), for the Item ID  `317061059` , the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.bigboxapi.com/request?api_key=demo&type=questions&item_id=317061059&sort_by=most_helpful
```

```curl
curl -L --get https://api.bigboxapi.com/request 
-d api_key="demo" 
-d type="questions" 
-d item_id="317061059" 
-d sort_by="most_helpful"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "questions",
  item_id: "317061059",
  sort_by: "most_helpful"
}

// make the http GET request to BigBox API
axios.get('https://api.bigboxapi.com/request', { params })
  .then(response => {

    // print the JSON response from BigBox API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'questions',
  'item_id': '317061059',
  'sort_by': 'most_helpful'
}

# make the http GET request to BigBox API
api_result = requests.get('https://api.bigboxapi.com/request', params)

# print the JSON response from BigBox API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type': 'questions',
  'item_id': '317061059',
  'sort_by': 'most_helpful'
]);

# make the http GET request to BigBox API
$ch = curl_init(sprintf('%s?%s', 'https://api.bigboxapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from BigBox API
echo $api_result;

?>
```
:::

***

### Questions Parameters

The following parameters are available for all requests made when  `type=questions`  in addition to the Common Parameters.

| `Parameter`         | `Required`       | `Description`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| ------------------- | ---------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `item_id`<br />     | `required`<br /> | The Home Depot Item ID to retrieve Questions for.<br /><br />**Note** : If the  `item_id`  parameter is supplied then the  `url`  parameter is ignored.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| `gtin`<br />        | `optional`<br /> | The GTIN/ISBN/UPC code to look up a matching product on Home Depot for to retrieve questions for. If the  `gtin`  parameter is supplied then the  `item_id`  parameter is ignored. GTIN-based requests work by looking up the GTIN/ISBN/UPC on Home Depot first, then retrieving the questions for the first matching  `item_id` .                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| `url`<br />         | `optional`<br /> | The Home Depot questions-page URL to retrieve Questions from.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| `sort_by`           | `optional`       | Determines the sort order of questions to return. Valid values are:<br />1) `newest_to_oldest`&#x20;
2) Returns questions ordered from newest to oldest.<br /><br />1) `oldest_to_newest`&#x20;
2) Returns questions ordered from oldest to newest.<br /><br />1) `most_answered`&#x20;
2) Returns questions with most answers first.<br /><br />1) `most_helpful`&#x20;
2) Returns questions with the most helpful questions first.<br /><br />1) `featured_questions`&#x20;
2) Returns featured questions first.<br /><br />1) `can_you_answer`&#x20;
2) Returns questions returned under the "can you answer these questions" filter first (questions with no answer yet).<br /><br />*
  ![](https://apiimages.imgix.net/bigboxapi/images/png/docs/questions_sort_by.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=300)<br /> |
| `search_term`<br /> | `optional`<br /> | search term to use to search questions.<br />*
  ![](https://apiimages.imgix.net/bigboxapi/images/png/docs/questions_search_term.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=250)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| `page`<br />        | `optional`<br /> | The current page of questions to retrieve. Inspect the  `pagination.total_pages`  property in the [Questions results](https://docs.trajectdata.com/bigboxapi/homedepot-product-data-api/results/questions) to see how many pages of questions are available.<br /><br />**Note**  the maximum number of questions per page is  `10`  (this is a Home Depot limit).                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| `max_page`<br />    | `optional`<br /> | Use the  `max_page`  parameter to get multiple pages of results in one request. The API will automatically paginate through pages and concatenate the results into one response.<br /><br />See the [Pagination](https://docs.trajectdata.com/bigboxapi/homedepot-product-data-api/pagination) docs for more information.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |

**Next Steps**
     [Questions Results](https://docs.trajectdata.com/bigboxapi/homedepot-product-data-api/results/questions)
